Package com.avaya.clientservices.contact

## Enum AccessControlBehavior

- java.lang.Object
- - java.lang.Enum<AccessControlBehavior>
  - - com.avaya.clientservices.contact.AccessControlBehavior

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AccessControlBehavior>`

      public enum AccessControlBehavior
      extends java.lang.Enum<AccessControlBehavior>

  Enumeration that describes the types of the ACL-confirm policy handling.

  When a request to start watching the presence of some user is issued by the client, the presence server the client is connected to relies on Access Information Control policy, also known as Access Control List (ACL), to decide whether the requesting user has permissions to get the presence of the desired user.

  Each user may have their own policy set. An ACL policy has the following three options:

  - "ALLOW" means all requests are to be serviced and presence is provided to the requesting user.
  - "BLOCK" means all requests are politely ignored by a presence server and presence is not provided.
  - "CONFIRM" means that a presence request is serviced only if the remote user(presentity) explicitly allows it via a pop-up dialog.

  The "CONFIRM" option implies that each presence watcher request results in a pop-up message displayed on a presentity side which may introduce an undesired distraction and bad experience for the remote user.

  The AccessControlBehavior can be used to avoid this behaviour when the start presence request is issued.

  - If set to NONE, a "CONFIRM" policy would be treated as "BLOCK" by the presence server.
  - If set to PROMPT, a "CONFIRM" policy will result in requesting the remote user to explicitly allow watching their presence.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | "CONFIRM" policy would be treated as "BLOCK" by the presence server.
    `PROMPT` | "CONFIRM" policy will result in requesting the remote user to explicitly allow watching their presence.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessControlBehavior` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AccessControlBehavior[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AccessControlBehavior NONE

      "CONFIRM" policy would be treated as "BLOCK" by the presence server.

    - #### PROMPT

          public static final AccessControlBehavior PROMPT

      "CONFIRM" policy will result in requesting the remote user to explicitly allow watching their presence.

  - ### Method Detail

    - #### values

          public static AccessControlBehavior[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessControlBehavior c : AccessControlBehavior.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessControlBehavior valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null